#include <stdio.h>

int main(){
  unsigned n;
  int i;
  
  scanf("%u", &n);
  
  int pom2 = n;
  int pom = 1;
  int duz=0;
  
  do{
    pom *=10;
  }while((pom2 /=10) != 0);
  int b = pom;
  int a[100];
  for(i=0; (pom/=10) != 0; i++) {
    a[i] = n%10;
    n/=10;
    duz++;
 }
 int j, novi_broj[100];
 
 for(i=duz, j=0; i>0; i--, j++)
   if(a[i] == a[i-1])
      novi_broj[j] = a[i];
   
   int k;
  for(k=0; k<duz; k++)
    printf("%d", novi_broj[k]);
  putchar('\n');
 
 return 0;
    
}
